Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.soap.axis
Class SOAPClientInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.RemoteClientInvoker
              org.jboss.remoting.transport.soap.axis.SOAPClientInvoker

All Implemented Interfaces:
  ClientInvoker, Invoker

public class SOAPClientInvoker
extends RemoteClientInvoker

SOAPClientInvoker is the client side invoker to a remote SOAP transport

Version:
  $Revision: 1.5 $
Author:
  Jeff Haynie

Field Summary

Fields inherited from class org.jboss.remoting.RemoteClientInvoker
`connected`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, localServerLocator, locator, log, logExtra`

Constructor Summary
`SOAPClientInvoker(InvokerLocator locator)`

Method Summary
`protected void` | `handleConnect()` subclasses must implement this method to provide a hook to connect to the remote server, if this applies to the specific transport.
`protected void` | `handleDisconnect()` subclasses must implement this method to provide a hook to disconnect from the remote server, if this applies to the specific transport.
`protected byte[]` | `transport(String sessionId, byte[] buffer)` called to transport the marshalled invocation to the remote destination, and receive back the marshalled invocation bytes back.

Methods inherited from class org.jboss.remoting.RemoteClientInvoker
`connect, disconnect, finalize, invoke, isConnected, postProcess, preProcess`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClass, getClassBytes, getClientLocator, getLocator, loadClass, read, setClassLoader, setClientLocator, unmarshal`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.ClientInvoker
`getClientLocator, setClientLocator`

Methods inherited from interface org.jboss.remoting.Invoker
`getLocator`

Constructor Detail

### SOAPClientInvoker

    public SOAPClientInvoker(InvokerLocator locator)

Method Detail

### handleConnect

    protected void handleConnect()
                          throws ConnectionFailedException

  subclasses must implement this method to provide a hook to connect to the remote server, if this applies to the specific transport. However, in some transport implementations, this may not make must difference since the connection is not persistent among invocations, such as SOAP. In these cases, the method should silently return without any processing.

  Specified by:
    `handleConnect` in class `RemoteClientInvoker`
  Throws:
    `ConnectionFailedException`

### handleDisconnect

    protected void handleDisconnect()

  subclasses must implement this method to provide a hook to disconnect from the remote server, if this applies to the specific transport. However, in some transport implementations, this may not make must difference since the connection is not persistent among invocations, such as SOAP. In these cases, the method should silently return without any processing.

  Specified by:
    `handleDisconnect` in class `RemoteClientInvoker`

### transport

    protected byte[] transport(String sessionId,
                               byte[] buffer)
                        throws IOException,
                               ConnectionFailedException

  called to transport the marshalled invocation to the remote destination, and receive back the marshalled invocation bytes back. this method allows the subclass to provide the specific mechanism, protocol, etc. for delivering and returning remote invocations in a transport-specific way.

  Specified by:
    `transport` in class `RemoteClientInvoker`
  Parameters:
    `sessionId` - session id to pass along
    `buffer` - buffer of the serialized method invocation to send to the server
  Returns:
    result of the method invocation as serialized bytes
  Throws:
    `IOException` - fatal exception should only be raised in the case the transport write fails (but is still a valid connection)
    `ConnectionFailedException` - this exception is raised in the case the remote side is no longer available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.